# ChangeLog for app-misc/screen
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/screen/ChangeLog,v 1.132 2007/01/28 05:24:38 genone Exp $

  28 Jan 2007; Marius Mauch <genone@gentoo.org> screen-4.0.3.ebuild:
  Replacing einfo with elog

  23 Jan 2007; Sven Wegener <swegener@gentoo.org> -screen-4.0.2-r5.ebuild:
  Cleanup.

  20 Jan 2007; Alexander H. Færøy <eroyf@gentoo.org> screen-4.0.3.ebuild:
  Stable on MIPS; bug #152770

  17 Jan 2007; Sven Wegener <swegener@gentoo.org> screen-4.0.3.ebuild:
  Remove the tty addpredict code for bug #162536.

  29 Oct 2006; Bryan Østergaard <kloeri@gentoo.org> screen-4.0.3.ebuild:
  Stable on Alpha, bug 152770.

  27 Oct 2006; René Nussbaumer <killerfox@gentoo.org> screen-4.0.3.ebuild:
  Stable on hppa. See bug #152770.

  26 Oct 2006; Markus Rothe <corsair@gentoo.org> screen-4.0.3.ebuild:
  Stable on ppc64; bug #152770

  26 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> screen-4.0.3.ebuild:
  Stable on x86 wrt bug #152770.

  26 Oct 2006; Tim Yamin <plasmaroo@gentoo.org> screen-4.0.3.ebuild:
  Stable on IA64; bug #152770.

  26 Oct 2006; Tobias Scherbaum <dertobi123@gentoo.org> screen-4.0.3.ebuild:
  ppc stable

  26 Oct 2006; Daniel Gryniewicz <dang@gentoo.org> screen-4.0.3.ebuild:
  Marked stable on amd64 for bug #152770

  26 Oct 2006; Gustavo Zacarias <gustavoz@gentoo.org> screen-4.0.3.ebuild:
  Stable on sparc wrt security #152770

*screen-4.0.3 (25 Oct 2006)

  25 Oct 2006; Sven Wegener <swegener@gentoo.org> screen-4.0.2-r5.ebuild,
  +screen-4.0.3.ebuild:
  Version bump, security bug #152770.

  17 Oct 2006; Roy Marples <uberlord@gentoo.org> screen-4.0.2-r5.ebuild:
  Added ~sparc-fbsd keyword.

  25 Jul 2006; Sven Wegener <swegener@gentoo.org> -screen-4.0.2-r4.ebuild:
  Cleanup.

  12 Jul 2006; Thomas Cort <tcort@gentoo.org> screen-4.0.2-r5.ebuild:
  Stable on alpha.

  09 Jul 2006; Joshua Kinard <kumba@gentoo.org> screen-4.0.2-r5.ebuild:
  Marked stable on mips.

  06 Jul 2006; Markus Rothe <corsair@gentoo.org> screen-4.0.2-r5.ebuild:
  Stable on ppc64

  29 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  screen-4.0.2-r5.ebuild:
  Stable on hppa

  25 Jun 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  screen-4.0.2-r5.ebuild:
  ppc stable

  25 Jun 2006; Simon Stelling <blubb@gentoo.org> screen-4.0.2-r5.ebuild:
  stable on amd64

  22 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  screen-4.0.2-r5.ebuild:
  Stable on sparc

  18 Jun 2006; Andrej Kacian <ticho@gentoo.org> screen-4.0.2-r5.ebuild:
  Stable on x86. Bug #137188.

*screen-4.0.2-r5 (07 Apr 2006)

  07 Apr 2006; Sven Wegener <swegener@gentoo.org>
  +files/4.0.2-nonblock.patch, +screen-4.0.2-r5.ebuild:
  Revision bump, with some code refactoring. Raise the number of possible
  windows, bug #99171. Print information on xterm tweaks which might break
  some applications, bug #99524. Include patch by Michael Hanselmann to open
  the tty in nonblocking mode. Add multiuser USE flag which adjusts the
  permissions.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> screen-4.0.2-r4.ebuild:
  Add ~x86-fbsd keyword.

  12 Feb 2006; Diego Pettenò <flameeyes@gentoo.org> screen-4.0.2-r4.ebuild:
  Add enewgroup call to add utmp group if it does not exists already. Fixes
  bug #122586.

  25 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> screen-4.0.2-r4.ebuild:
  Use bindnow-flags function instead of -Wl,-z,now.

  02 Oct 2005; Sven Wegener <swegener@gentoo.org> files/screenrc:
  Remove dead link from screenrc, bug 107919.

  16 Sep 2005; Stephen Bennett <spb@gentoo.org> screen-4.0.2-r4.ebuild:
  Added selinux policy to RDEPEND

  16 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

  23 Aug 2005; Sven Wegener <swegener@gentoo.org>
  -files/screen.pam.system-auth, -screen-4.0.2-r1.ebuild:
  Removed old ebuild.

  23 Aug 2005; Aron Griffis <agriffis@gentoo.org> screen-4.0.2-r4.ebuild:
  stable on ia64

  09 Aug 2005; Aaron Walker <ka0ttic@gentoo.org> screen-4.0.2-r4.ebuild:
  Stable on mips.

  21 Jul 2005; MATSUU Takuto <matsuu@gentoo.org> screen-4.0.2-r4.ebuild:
  Stable on sh.

  19 Jul 2005; Bryan Østergaard <kloeri@gentoo.org> screen-4.0.2-r4.ebuild:
  Stable on alpha.

  19 Jul 2005; Malcolm Lashley <malc@gentoo.org> screen-4.0.2-r4.ebuild:
  Stable on amd64, bug #99587

  09 Jul 2005; Markus Rothe <corsair@gentoo.org> screen-4.0.2-r4.ebuild:
  Stable on ppc64

  09 Jul 2005; Joseph Jezak <josejx@gentoo.org> screen-4.0.2-r4.ebuild:
  Marked ppc stable.

  08 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  screen-4.0.2-r4.ebuild:
  Stable on hppa.

  08 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  screen-4.0.2-r4.ebuild:
  Stable on sparc

  07 Jul 2005; Sven Wegener <swegener@gentoo.org> screen-4.0.2-r4.ebuild:
  Marked stable on x86.

  06 Jul 2005; Sven Wegener <swegener@gentoo.org>
  +files/4.0.2-windowlist-multiuser-fix.patch, screen-4.0.2-r4.ebuild:
  Added a minor patch that makes %u work for the windowlist format.

  13 Jun 2005; Sven Wegener <swegener@gentoo.org> files/screenrc:
  Changed the xterm scrollback tweak to clear the screen after detaching and
  exiting screen.

*screen-4.0.2-r4 (07 Jun 2005)

  07 Jun 2005; Sven Wegener <swegener@gentoo.org> files/screenrc,
  -screen-4.0.2-r3.ebuild, +screen-4.0.2-r4.ebuild:
  Revision bump. Added support for the debug USE flag, bug 95100. Changed the
  bufferfile configuration option to a more safe default value, bug #95273.

  29 May 2005; <solar@gentoo.org> screen-4.0.2-r1.ebuild:
  echangelog - update package to use libc expanded variable elibc_uclibc vs
  uclibc so USE=-* works

  22 May 2005; Sven Wegener <swegener@gentoo.org>
  +files/4.0.2-no-libelf.patch, screen-4.0.2-r3.ebuild:
  Removed the libelf check from configure.

  20 May 2005; Sven Wegener <swegener@gentoo.org> -files/screen.pam,
  screen-4.0.2-r1.ebuild, screen-4.0.2-r3.ebuild:
  Changed to use pam.eclass and pamd_mimic_system.

*screen-4.0.2-r3 (14 May 2005)

  14 May 2005; Sven Wegener <swegener@gentoo.org>
  +files/4.0.2-64bit-time.patch, +files/screen.pam, -screen-4.0.2-r2.ebuild,
  +screen-4.0.2-r3.ebuild:
  Revision bump to include several fixes and feature enhancements. Install the
  correct pam.d file for bug #92370. Enable the built-in telnet client, bug
  #82773. Fix time bug for 64bit systems, bug #71207. Also enable the 256
  colors support, requested via email by Emanuele Giaquinta.

*screen-4.0.2-r1 (13 May 2005)

  13 May 2005; Mike Frysinger <vapier@gentoo.org> +screen-4.0.2-r2.ebuild:
  Import FreeBSD fixes and redo uClibc fixes to be more generic #92370 by
  Diego Pettenò.

  31 Dec 2004; Sven Wegener <swegener@gentoo.org> files/screenrc:
  Do not use xterm's alternative window buffer by default, it breaks
  scrollback. Closes bug #61195.

*screen-4.0.2-r1 (17 Dec 2004)

  17 Dec 2004; Sven Wegener <swegener@gentoo.org>
  +files/4.0.2-no-utempter.patch, +screen-4.0.2-r1.ebuild,
  -screen-4.0.2.ebuild:
  Revision bump. Don't use utempter even if it is found on the system. Closes
  bug #74717.

  09 Dec 2004; Mike Frysinger <vapier@gentoo.org> files/screenrc:
  Change default to vbell=off and msg=Wuff Wuff :).

  05 Dec 2004; Sven Wegener <swegener@gentoo.org> screen-4.0.2.ebuild:
  Added some more error checking. Some cosmetical rearrangements.

  13 Nov 2004; Sven Wegener <swegener@gentoo.org> screen-4.0.2.ebuild:
  Removed large comment section from ebuild.

  15 Oct 2004; Sven Wegener <swegener@gentoo.org> screen-4.0.2.ebuild:
  Fixed the nethack USE flag which was always activated. Thanks to Horst
  Schirmeier <gentoo@schirmeier.com> in bug #67127. Modified to use non-lazy
  bindings.

  13 Oct 2004; Sven Wegener <swegener@gentoo.org> metadata.xml:
  Added to the shell-tools herd.

  04 Sep 2004; Sven Wegener <swegener@gentoo.org> metadata.xml,
  -files/screen.pam, -screen-4.0.1-r2.ebuild, screen-4.0.2.ebuild:
  Removed old ebuild. Added longdescription to metadata.xml and taking over
  primary maintainership.

  03 Sep 2004; Tom Gall <tgall@gentoo.org> screen-4.0.2.ebuild:
  stable on ppc64

  07 Aug 2004; Tom Martin <slarti@gentoo.org> screen-4.0.2.ebuild:
  Stable on amd64.

  16 Jul 2004; Gustavo Zacarias <gustavoz@gentoo.org> screen-4.0.2.ebuild:
  Stable on sparc

  10 Jul 2004; Lars Weiler <pylon@gentoo.org> screen-4.0.2.ebuild:
  Stable on ppc.

  09 Jul 2004; <rac@gentoo.org> screen-4.0.2.ebuild:
  Add nethack mode

  06 Jul 2004; Joshua Kinard <kumba@gentoo.org> screen-4.0.2.ebuild:
  Marked stable on mips.

  03 Jul 2004; Guy Martin <gmsoft@gentoo.org> screen-4.0.2.ebuild:
  Marked stable on hppa.

  29 Jun 2004; Aron Griffis <agriffis@gentoo.org> screen-4.0.2.ebuild:
  stable on x86, alpha, ia64

  07 Jun 2004; Daniel Black <dragonheart@gentoo.org> screen-4.0.1-r2.ebuild,
  screen-4.0.2.ebuild, +metadata.xml:
  x86 stable - 4.0.2. Removed 1 homepage as it didn't exits. changed SRC_URI to
  mirror://gnu

  11 May 2004; Michael Sterrett <mr_bones_@gentoo.org> screen-4.0.2.ebuild:
  carry forward keywords

  25 Apr 2004; Aron Griffis <agriffis@gentoo.org> screen-4.0.1-r2.ebuild,
  screen-4.0.2.ebuild:
  Add die following econf for bug 48950

  12 Apr 2004; Michael McCabe <randy@gentoo.org> screen-4.0.2.ebuild:
  adding s390 keywords

  03 Apr 2004; Donnie Berkholz <spyderous@gentoo.org>; screen-4.0.1-r2.ebuild,
  screen-4.0.2.ebuild:
  Add GNU homepage to list for #43485.

*screen-4.0.2 (03 Apr 2004)

  03 Apr 2004; Donnie Berkholz <spyderous@gentoo.org>; screen-4.0.2.ebuild:
  Version bump, closes #43485.

  23 Mar 2004; Donnie Berkholz <spyderous@gentoo.org>;
  screen-3.9.13-r4.ebuild, screen-3.9.15-r1.ebuild, screen-3.9.15.ebuild,
  screen-4.0.1-r1.ebuild, screen-4.0.1.ebuild:
  Pull old versions for #34599 and to clean up the directory.

  16 Mar 2004; Robin H. Johnson <robbat2@gentoo.org> screen-4.0.1-r2.ebuild:
  fix borkage in screen-4.0.1-r2 by vapier, forgetting to close a "!

  14 Mar 2004; Tom Gall <tgall@gentoo.org> screen-4.0.1-r2.ebuild:
  stable on ppc64

  09 Feb 2004; <agriffis@gentoo.org> screen-4.0.1-r2.ebuild:
  stable on ia64

*screen-4.0.1-r2 (13 Jan 2004)

  13 Jan 2004; Aron Griffis <agriffis@gentoo.org> screen-4.0.1-r2.ebuild,
  files/screen-4.0.1-vsprintf.patch:
  Add patch (modified) from
  http://groups.yahoo.com/group/gnu-screen/message/2863 to fix bug 31070. This
  allows alpha to build with optimization again since glibc's vsprintf
  function is being used instead of screen's broken internal implementation.

  09 Jan 2004; Aron Griffis <agriffis@gentoo.org> screen-4.0.1-r1.ebuild:
  stable on alpha

  01 Jan 2004; <tuxus@gentoo.org> screen-4.0.1-r1.ebuild:
  Added mips to KEYWORDS

  14 Dec 2003; Brad House <brad_mssw@gentoo.org> screen-4.0.1-r1.ebuild:
  mark stable on amd64

  14 Dec 2003; Rajiv Aaron Manglani <rajiv@gentoo.org> screen-4.0.1-r1.ebuild:
  call fowners before fperms.

  13 Dec 2003; Lars Weiler <pylon@gentoo.org> screen-4.0.1-r1.ebuild:
  Masked stable on ppc

  10 Dec 2003; Ciaran McCreesh <ciaranm@gentoo.org> screen-4.0.1-r1.ebuild:
  Moving to stable on sparc

  10 Dec 2003; <solar@gentoo.org> screen-4.0.1-r1.ebuild:
  marking screen stable on x86, arch herds please do the same as screen less
  than -r1 will be package.masked here shortly.

  08 Dec 2003; root <root@gentoo.org> screen-3.9.13-r4.ebuild,
  screen-3.9.15-r1.ebuild, screen-3.9.15.ebuild:
  Using keepdir instead of touching .keep to fix bug #35308.

  06 Dec 2003; Donnie Berkholz <spyderous@gentoo.org>;
  screen-3.9.13-r4.ebuild, screen-3.9.15-r1.ebuild, screen-3.9.15.ebuild:
  Changing obsolete chown syntax for bug #35127.

*screen-4.0.1-r1 (29 Nov 2003)

  08 Dec 2003; Guy Martin <gmsoft@gentoo.org> screen-4.0.1-r1.ebuild :
  Marked stable on hppa.

  29 Nov 2003; <solar@gentoo.org> screen-4.0.1-r1.ebuild,
  files/screen-4.0.1-int-overflow-fix.patch:
  corrected integer overflows in ansi.c/resize.c max window height/width is now
  1000x1000 Bug: #34599

  20 Nov 2003; Michael Sterrett <mr_bones_@gentoo.org> screen-4.0.1.ebuild:
  install patchlevel.h as doc for bug 33852; more error checking/messages; use
  sed -i; use more portage functions

  18 Nov 2003; Peter Johanson <latexer@gentoo.org> screen-4.0.1.ebuild:
  Fixed chmod line to be 0775 (bug # 33672)

  15 Nov 2003; Seemant Kulleen <seemant@gentoo.org> screen-3.9.13-r4.ebuild,
  screen-3.9.15-r1.ebuild, screen-3.9.15.ebuild, screen-4.0.1.ebuild:
  HOMEPAGE update thanks to: Hartwig Brandl
  <hartwigbrandl@users.sourceforge.net> in bug #33576

  15 Nov 2003; Lars Weiler <pylon@gentoo.org> screen-4.0.1.ebuild:
  Masked stable on x86 and sparc (with ciaranm permission). Added testing
  keyword for ~ppc.

  02 Nov 2003; Christian Birchinger <joker@gentoo.org>
  screen-3.9.15-r1.ebuild:
  Added sparc stable keyword

  15 Oct 2003; Jason Wever <weeve@gentoo.org> screen-4.0.1.ebuild:
  Fixed multi-user instructions so screen will launch correctly now.

  14 Oct 2003; Jason Wever <weeve@gentoo.org> screen-4.0.1.ebuild:
  Added ~sparc keyword and fixed chmod command to resolve bug #31113.

*screen-4.0.1 (07 Oct 2003)

  07 Oct 2003; Donnie Berkholz <spyderous@gentoo.org>; screen-4.0.1.ebuild:
  Version bump, maintainer unclear.

  07 Oct 2003; John Mylchreest <johnm@gentoo.org>; screen-3.9.15-r1.ebuild:
  fixing POSIX 1003.1-2001 chown change. '.' now ':'

  01 Oct 2003; Tavis Ormandy <taviso@gentoo.org> screen-3.9.15-r1.ebuild:
  Stable on alpha

*screen-3.9.15-r1 (12 Jul 2003)

  12 Jul 2003; Robin H. Johnson <robbat2@gentoo.org> screen-3.9.15-r1.ebuild,
  files/screen.pam.system-auth:
  Updated screen.pam (in new screen.pam.system-auth copy) to use pam_stack
  instead of pam_unix directly. Required for pam_ldap working properly.

*screen-3.9.15 (13 Mar 2003)

  27 Apr 2003; Zach Welch <zwelch@gentoo.org> screen-3.9.15.ebuild:
  Add arm to KEYWORDS

  16 Apr 2003; Guy Martin <gmsoft@gentoo.org> screen-3.9.15.ebuild :
  Marked stable on hppa.

  31 Mar 2003; Jan Seidel <tuxus@gentoo.org> screen-3.9.15.ebuild:
  Added mips to KEYWORDS

  30 Mar 2003; Christian Birchinger <joker@gentoo.org> screen-3.9.15.ebuild:
  Added sparc stable keyword

  13 Mar 2003; Brandon Low <lostlogic@gentoo.org> screen-3.9.15.ebuild:
  Version bump

*screen-3.9.13-r4 (16 Jan 2003)

  10 Feb 2003; Guy Martin <gmsoft@gentoo.org> screen-3.9.13-r4.ebuild :
  Added hppa to keywords.

  16 Jan 2003; Aron Griffis <agriffis@gentoo.org> screen-3.9.13-r4.ebuild :
  Revision bump since the last change affects run-time, not compile-time.

  16 Jan 2003; Aron Griffis <agriffis@gentoo.org> screen-3.9.13-r3.ebuild :
  Fix bug 12683 again.  Last fix broke screen at run-time.

  15 Jan 2003; Aron Griffis <agriffis@gentoo.org> screen-3.9.13-r3.ebuild :
  Fixup term.h to fix bug 12683.  Believe this is an upstream problem in
  screen, but no doubt it will be ironed out eventually.

*screen-3.9.13-r3 (20 Dec 2002)

  20 Dec 2002; Maik Schreiber <blizzy@gentoo.org> : Revision bump to get
  permissions right on all systems.

  20 Dec 2002; Maik Schreiber <blizzy@gentoo.org> screen-3.9.13-r1.ebuild,
  screen-3.9.13-r2.ebuild: Fixed sed calls to work with <sed-4.

  19 Dec 2002; Maik Schreiber <blizzy@gentoo.org> files/screenrc: Changed
  scrollback buffer to 1000 lines per default. Also removed version output
  on startup.

*screen-3.9.13-r2 (19 Dec 2002)

  19 Dec 2002; Maik Schreiber <blizzy@gentoo.org> : Changed permissions of
  /var/run/screen to 0755 to satisfy screen when running in multi-user mode.

*screen-3.9.13-r1 (16 Dec 2002)

  16 Dec 2002; Stefan Jones <cretin@gentoo.org> : A new improved ebuild. Does
  everything! Many thanks to j2 on IRC for the ebuild.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords

*screen-3.9.13 (18 Nov 2002)

  18 Nov 2002; Maik Schreiber <blizzy@gentoo.org> : New version.

*screen-3.9.11-r4 (7 Nov 2002)

  7 Nov 2002; Michael Nazaroff <naz@gentoo.org> screen-3.9.11-r3.ebuild :

  I added in addpredict "${SSH_TTY}" and "`tty`" line into the ebuild to see if
  maybe this will actually fix the ebuild.  I've been getting support
  from Andreas Fink <koba@braindead.de> with the ebuild, since he can produce
  the issue and I cannot on my machine.

  11 Nov 2002; Michael Nazaroff <naz@gentoo.org> screen-3.9.11-r3.ebuild :

  Fixed a typo in the ebuild so the tty addpredict will should actually work.

*screen-3.9.11-r3 (27 Jul 2002)

  25 Sep 2002; Mike Frysinger <vapier@gentoo.org> :
  Added alpha to KEYWORDS

  23 Aug 2002; Michael Nazaroff <naz@gentoo.org> screen-3.9.11-r3.ebuild :

  Added a Addwrite line to the ebuild to try and fix a Sandbox
  violation. This is issue with vim as well and few other apps when logged
  in via ssh and trying to emerge the application.
  
  3 Aug 2002; Calum Selkirk <cselkirk@gentoo.org> screen-3.9.11-r3.ebuild :

  Added ppc to KEYWORDS.

  27 Jul 2002; Michael M Nazaroff <naz@gentoo.org> screen-3.9.11-r3.ebuild :

  Small typo fix.. /dev/ptys/* in ebuild instead of /dev/pty/*. Don't think
  needs revision bump.

*screen-3.9.11-r3 (3 Jun 2002)

  16 Jun 2002; Michael M Nazaroff <naz@gentoo.org> screen-3.9.11-r3.ebuild :

  Added in sandbox_predict to help correct a sandbox violation trying to test
  /dev/pty/* , this should take care of the issue.

*screen-3.9.11-r3 (3 Jun 2002)

  3 Jun 2002; Michael M Nazaroff <naz@gentoo.org> screen-3.9.11-r3.ebuild :

  Added in sandbox_predict to help correct a sandbox violation trying to test
  /dev/pty/s0, this should take care of the issue.

*screen-3.9.11-r2 (7 Mar 2002)

  7 Mar 2002; Jared H. Hudson <jhhudso@gentoo.org> screen-3.9.11-r2.ebuild :

  Removed sandbox file (addwrite /dev/vc) since it is no longer necessary
  with portage-1.8.18

*screen-3.9.11-r1 (6 Mar 2002)

  6 Mar 2002; Jared H. Hudson <jhhudso@gentoo.org> screen-3.9.11-r1.ebuild :

  Fixed sandbox error where configure attempts to write to tty
  to see if it has permissions to.

*screen-3.9.11 (21 Mar 2002)

  21 Mar 2002; Seemant Kulleen <seemant@gentoo.org> screen-3.9.11.ebuild :

  Version upgrade patch submitted by Matthew Kennedy -- this renders the texi
  patch from the older version unnecessary, and adds missing documentation
  items.

*screen-3.9.9 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :

  Added initial ChangeLog.
